### Method

# Ide HighlightEngine get_style

#### Declaration

    GtkTextTag*
    ide_highlight_engine_get_style (
      IdeHighlightEngine* self,
      const gchar* style_name
    )

#### Description

A `GtkTextTag` for `style_name`.

Available since: | 3.32

#### Parameters

`style_name` | `const gchar*`
| The name of the style to retrieve.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `GtkTextTag`
| A `GtkTextTag`.
| The data is owned by the instance.